Skip to main content
GET
cURL

Headers

x-api-key
string

API key for higher rate limits (optional). Get one at dashboard.eva-ai.io

Query Parameters

chain
integer
required

Chain ID (e.g., 1 = Ethereum, 56 = BSC, 8453 = Base)

ca
string
required

Contract address

Response

Successful analysis response

owner
string

Current owner address or 'HIDDEN' if renounced

Example:

"HIDDEN"

tokenAddress
string

Contract address

Example:

"0x00e22ed2c31875abaa34ed0659acb76734b9540d"

symbol
string

Token symbol

Example:

"TEKE"

name
string

Token name

Example:

"Akhal Teke"

chain
string

Chain ID

Example:

"56"

decimals
string

Token decimals

Example:

"18"

totalSupply
string

Total token supply in wei

Example:

"30000000000000000000000000"

contractName
string

Contract name from source code

Example:

"TEKE"

isProxy
boolean

Whether contract is a proxy

Example:

false

age
integer<int64>

Token deployment timestamp in milliseconds

Example:

1764063134000

lastchecked
integer<int64>

Last analysis timestamp in milliseconds

Example:

1767810740203

initInfo
object

Deployment information for the token contract

threats
string[]

Array of detected security threats.

Example:
auditInfo
object

Security audit results

similarityMap
object[]

Array of up to 5 similar tokens detected through AI-based behavioral and logical analysis of smart contracts (not a direct or line-by-line code comparison).

Maximum array length: 5